Get Predictions v3

Prev Next
Post
/v3/render/customers/{customerId}/users/{userId}
Security
API Key: AccessTokenAuth
Header parameter nameaccess_token

Access token Authentication

Path parameters
customerId
stringRequired
userId
stringRequired
Body parameters
Expand All
object
container_ids
Array of string

The container ids to get recommendations for

Example[ "sm_el_1234", "sm_el_5678" ]
string
context
object (Context)

the context object used for dynamic data

exclude
string

Context used to exclude specific items by id

Example123|456|789
pathname
string

The pathname of the page

Example/en-us/men/shirts
queryString
string

The query string of the page

Example?color=red&size=large&xse_page=home
recentlyViewed
string

The recently viewed items

Example123|456|789
pdpCode
string

The product code of the current PDP page

Example123
xt_gender
string

Example how to pass dynamic context - The dynamic gender context

Examplefemale
Responses
200

Successful response

Expand All
object
containers
Array of object

The containers array with recommendations

object
id
string

The container id

Examplesm_el_1234
title
string

The container title

ExampleRecently Viewed.
prediction
Array of object (Product)

The predictions array

object
brand
string
ExampleYour brand
color
string
ExampleGreen
currency
string
ExampleUSD
currency_symbol
string
Example$
custom_string_1
string
Examplesome string 1
custom_string_2
string
Examplesome string 2
custom_string_3
string
Examplesome string 3
custom_string_4
string
Examplesome string 4
custom_string_5
string
Examplesome string 5
gender
string
Examplefemale
image
string (uri)
Examplehttps://www.example.com/image.jpg
image_alt
string (uri)
Examplehttps://www.example.com/image-alt.jpg
is_in_stock
string
Example1
is_on_sale
string
Example0
item_type
string
Exampleadult
macroCategory
string
ExampleDresses
macroColor
string
ExampleOrange
microCategory
string
ExampleLong Dresses
price
number (float)
Example11500.0
prod_code
string
Exampleabc123
prod_name
string
ExampleYour Prod Name
product_types
Array of string
Example[ "Woman", "Dresses", "Long Dresses" ]
string
product_url
string (uri)
Examplehttps://link-to-product.com
sale_price
number (float)
Example11000.0
size
string
Example2
400

Bad request

401

Unauthorized

403

Forbidden

500

Internal server error